;LCD ASCII character set for the HITACHI HD44780
;DATE   : July 31, 1999
;AUTHOR : PJH
;SOURCE : Hitachi HD44780 data sheet
;COMMENTS : These equates are mainly intended to be used in
;           the 16C54, 16C57C & 16C84 PIC chips. Not a complete list.
;           Add an lcd-tag to each of the symbols because some of them
;           generate error messages with the compiler. Use names for symbols
;           like !, + etc because these also cause compilation probs.

;******************************************************
;Upper case alphabet
;******************************************************
lcd_A    equ   B'01000001'
lcd_B    equ   B'01000010'
lcd_C    equ   B'01000011'
lcd_D    equ   B'01000100'
lcd_E    equ   B'01000101'
lcd_F    equ   B'01000110'
lcd_G    equ   B'01000111'
lcd_H    equ   B'01001000'
lcd_I    equ   B'01001001'
lcd_J    equ   B'01001010'
lcd_K    equ   B'01001011'
lcd_L    equ   B'01001100'
lcd_M    equ   B'01001101'
lcd_N    equ   B'01001110'
lcd_O    equ   B'01001111'
lcd_P    equ   B'01010000'
lcd_Q    equ   B'01010001'
lcd_R    equ   B'01010010'
lcd_S    equ   B'01010011'
lcd_T    equ   B'01010100'
lcd_U    equ   B'01010101'
lcd_V    equ   B'01010110'
lcd_W    equ   B'01010111'
lcd_X    equ   B'01011000'
lcd_Y    equ   B'01011001'
lcd_Z    equ   B'01011010'

;*******************************************
;Lower case alphabet
;*******************************************
lcd_a    equ   B'01100001'
lcd_b    equ   B'01100010'
lcd_c    equ   B'01100011'
lcd_d    equ   B'01100100'
lcd_e    equ   B'01100101'
lcd_f    equ   B'01100110'
lcd_g    equ   B'01100111'
lcd_h    equ   B'01101000'
lcd_i    equ   B'01101001'
lcd_j    equ   B'01101010'
lcd_k    equ   B'01101011'
lcd_l    equ   B'01101100'
lcd_m    equ   B'01101101'
lcd_n    equ   B'01101110'
lcd_o    equ   B'01101111'
lcd_p    equ   B'01110000'
lcd_q    equ   B'01110001'
lcd_r    equ   B'01110010'
lcd_s    equ   B'01110011'
lcd_t    equ   B'01110100'
lcd_u    equ   B'01110101'
lcd_v    equ   B'01110110'
lcd_w    equ   B'01110111'
lcd_x    equ   B'01111000'
lcd_y    equ   B'01111001'
lcd_z    equ   B'01111010'

;*****************************************
;Numerals
;*****************************************
lcd_1    equ   B'00110001'
lcd_2    equ   B'00110010'
lcd_3    equ   B'00110011'
lcd_4    equ   B'00110100'
lcd_5    equ   B'00110101'
lcd_6    equ   B'00110110'
lcd_7    equ   B'00110111'
lcd_8    equ   B'00111000'
lcd_9    equ   B'00111001'
lcd_0    equ   B'00110000'

;*******************************************
;Miscellaneous
;*******************************************
blank   equ   B'10100000'    ;Balnk space
exclam  equ   B'00100001'    ;Translates as !
query   equ   B'00111111'    ;Translates as ?
point   equ   B'00101110'    ;Use as full stop or decimal point.
comma   equ   B'00101100'    ;Translates as ,
plus    equ   B'00101011'    ; +
minus   equ   B'00101101'    ; -
equals  equ   B'00111101'    ; =
colon   equ   B'00111010'    ; Translates as ":"
semcol  equ   B'00111011'    ;Translates as ";"
lcd_dg  equ   B'11011111'    ;This will be written as the 'degree' symbol


